## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate jql

Name:           rust-jql
Version:        4.0.6
Release:        %autorelease
Summary:        JSON query language CLI tool

License:        MIT
URL:            https://crates.io/crates/jql
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          jql-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
JSON query language CLI tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# EPL-2.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND EPL-2.0 AND (Apache-2.0 OR BSL-1.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT
%license LICENSE.dependencies
%doc PERFORMANCE.md
%doc README.md
%{_bindir}/jql

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/PERFORMANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+colored_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+colored_json-devel %{_description}

This package contains library source intended for building other packages which
use the "colored_json" feature of the "%{crate}" crate.

%files       -n %{name}+colored_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%ifarch %{arm} ppc64le
# * doctests fail to compile on armv7hl with LLVM 14:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2086106
# * doctests fail to compile on ppc64le with LLVM 15:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2142648
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 4.0.6-7
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 4.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> 4.0.6-5
- Disable doctests on ppc64le to work around a compiler crash on LLVM 15

* Mon Nov 21 2022 Kalev Lember <klember@redhat.com> 4.0.6-4
- Automatically generate LICENSE.dependencies during the build

* Mon Nov 21 2022 Kalev Lember <klember@redhat.com> 4.0.6-3
- Re-generate the spec file with rust2rpm 23

* Tue Jul 26 2022 Fabio Valentini <decathorpe@gmail.com> 4.0.6-2
- Disable doctests on armv7hl to work around rustc crashes with LLVM 14

* Tue Jul 26 2022 Fabio Valentini <decathorpe@gmail.com> 4.0.6-1
- Update to version 4.0.6; Fixes RHBZ#2005911

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 2.9.5-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 24 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.5-1
- Update to version 2.9.5; Fixes RHBZ#1997033

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.4-2
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Thu Jul 29 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.4-1
- Update to version 2.9.4; Fixes RHBZ#1895640

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:31:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.7.4-2
- Rebuild

* Thu Oct 15 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.4-1
- Update to version 2.7.4.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.2-1
- Update to version 2.7.2.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 2.7.1-1
- Update to 2.7.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 2.6.1-1
- Update to 2.6.1

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Thu Apr 30 2020 Josh Stone <jistone@redhat.com> - 2.5.1-1
- Update to 2.5.1

* Mon Apr 27 08:24:01 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Tue Feb 11 10:10:25 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.4.9-1
- Update to 2.4.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 25 2020 Josh Stone <jistone@redhat.com> - 2.4.8-1
- Update to 2.4.8

* Fri Dec 20 11:43:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.4.7-1
- Initial package

